## genesisplusgx 1.7.4%2Bgit20160410

=== debian/control ===
Source: genesisplusgx
Section: non-free/games
Priority: optional
Maintainer: Sérgio Benjamim <sergio_br2@yahoo.com.br>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), libvorbis-dev
Standards-Version: 3.9.8
Homepage: https://github.com/ekeeke/Genesis-Plus-GX

Package: libretro-genesisplusgx
Architecture: any
Multi-Arch: same
Depends: retroarch | libretro-frontend, ${misc:Depends}, ${shlibs:Depends}
Description: Libretro wrapper for Genesis Plus GX
 This wrapper makes Genesis Plus GX API compatible with libretro, thus allowing
 its use with libretro frontends, such as RetroArch.
 .
 Genesis Plus GX is a Sega 8/16 bit emulator focused on accuracy and
 portability. Initially ported and developed on Gamecube / Wii consoles
 only through libogc / devkitPPC, it is now available on many other platforms
 through various frontends.
 .
 The source code, originally based on Genesis Plus 1.3 by Charles MacDonald, has
 been heavily modified & enhanced, with respect to initial goals and design, in
 order to improve the accuracy of emulation, implementing new features and
 adding support for extra peripherals, cartridge & systems hardware.
 .
 The result is that Genesis Plus GX is now more a continuation of the original
 project than a simple port, providing very accurate emulation and 100%
 compatibility with Genesis / Mega Drive, Sega/Mega CD, Master System, Game Gear
 & SG-1000 released software (including all unlicensed or pirate known dumps),
 also emulating backwards compatibility modes when available.
