## genesisplusgx 1.7.4+git20160410

=== debian/changelog ===
genesisplusgx (1.7.4+git20160410-1ubuntu1) disco; urgency=medium

  * Use dh-exec instead of manual .sh script for install file
  * Add Appstream metadadata and .libretro file for integration with GNOME Games

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Jan 2019 09:19:06 -0500

genesisplusgx (1.7.4+git20160410-1) unstable; urgency=low

  * Initial release (Closes: #787580).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Tue, 12 Apr 2016 21:31:00 -0300
