=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: genesisplusgx
 Section: non-free/games
 Priority: optional
-Maintainer: Sérgio Benjamim <sergio_br2@yahoo.com.br>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sérgio Benjamim <sergio_br2@yahoo.com.br>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), libvorbis-dev
+Build-Depends: debhelper (>= 9), dh-exec, libvorbis-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/ekeeke/Genesis-Plus-GX
