=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2011-2015 Hunter Kaller
# Copyright (C) 2014-2016 Sergio Benjamim

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	PLATFORM=platform="armv hardfloat"
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -f Makefile.libretro $(PLATFORM) SHARED_LIBVORBIS=1

override_dh_auto_clean:
	$(MAKE) -f Makefile.libretro clean

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.txt
