=== debian/changelog ===
genesisplusgx (1.7.4+git20221128-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot
    * Remove patches applied upstream
    * Disable CHD support
    * Update debian/copyright
  * Patch snapshot date into version
  * Bump debhelper compat level to 13

 -- Jonathan McDowell <noodles@earth.li>  Sat, 17 Dec 2022 16:10:41 +0000

genesisplusgx (1.7.4+git20160410-5) unstable; urgency=medium

  * Source-only, no-change upload to build on the buildds.

 -- Tobias Frost <tobi@debian.org>  Wed, 31 Aug 2022 23:51:18 +0200

genesisplusgx (1.7.4+git20160410-4) unstable; urgency=medium

  * Team upload.
  * Enable build on buildds.

 -- Tobias Frost <tobi@debian.org>  Sun, 28 Aug 2022 09:29:18 +0200

genesisplusgx (1.7.4+git20160410-3) UNRELEASED; urgency=medium

  * Team upload.
  * Cherry-pick GCC-10-FTBFS patches from upstream. Closes: #966108

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Aug 2022 15:20:17 +0200

genesisplusgx (1.7.4+git20160410-2) UNRELEASED; urgency=medium

  * Team upload
  * Import packaging to https://salsa.debian.org
  * Add minimal debian/gbp.conf
  * Use dh-exec instead of manual .sh script for install file
  * Add Appstream metadadata and .libretro file for integration with GNOME Games

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Mar 2019 19:11:36 -0500
