=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: genesisplusgx
 Section: non-free/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sérgio Benjamim <sergio_br2@yahoo.com.br>
+Maintainer: Sérgio Benjamim <sergio_br2@yahoo.com.br>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-exec, libvorbis-dev
+Build-Depends: debhelper-compat (= 13),
+	dh-exec,
+	libvorbis-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/ekeeke/Genesis-Plus-GX
+Vcs-Git: https://salsa.debian.org/games-team/genesisplusgx.git
+Vcs-Browser: https://salsa.debian.org/games-team/genesisplusgx
+XS-Autobuild: yes
 
 Package: libretro-genesisplusgx
 Architecture: any
